# Test IAM permissions in project

`POST /v1/projects/{project}/serviceAccounts/{serviceAccount}/test-permissions`, operation `serviceAccounts.TestIamPermissionsInProject`

Returns which of the given permissions the caller holds on a service account.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `project` | path | Yes | `string` | The project's ID. |
| `serviceAccount` | path | Yes | `string` | The service account's ID. |

## Request body

Content-Type: `application/json` (required)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `permissions` | `string[]` | Yes | Permissions to test, such as resourcemanager.projects.get. |

## Responses

### 200

OK

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `permissions` | `string[]` | Yes | The permissions tested that the caller holds. |

### default

Error

Base URL: `https://api.kosem.ai`. See [API conventions](https://docs.kosem.ai/reference/api-conventions.md) for authentication, pagination and errors, and [https://docs.kosem.ai/openapi.yaml](https://docs.kosem.ai/openapi.yaml) for the full OpenAPI document.